Feature request: Oracle Cloud arm64

Bug #1930755 reported by Ryan Finnie

This bug report will be marked for expiration in 5 days if no further activity occurs. (find out why)

6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cloud-images
Undecided
Unassigned

Bug Description

Oracle Cloud recently announced Ampere arm64 compute. Currently the only available image directly on the platform is Oracle Linux 8. However, I've tested importing the focal 20210518 arm64 qcow2 img and it works fine, with the following overrides to OCI's standard import process:

- Shape: VM.Standard.A1.Flex
- Firmware: UEFI_64 (no BIOS)

Revision history for this message
Ryan Finnie (fo0bar) wrote :
Revision history for this message
Joshua Powers (powersj) wrote (last edit ):

Canonical announced and released images last week [1]. If I select the VM.Standard.A1.Flex shape, I then have an option for "Canonical Ubuntu" and "20.04" under Platform images. Note that minimal images are not yet present for arm64.

Let us know if you are unable to select those options. Moving this to incomplete for now.

[1] https://ubuntu.com/blog/ubuntu-supports-oracle-cloud-infrastructure-ampere-a1-compute

Changed in cloud-images:
status: New → Incomplete
Revision history for this message
Ryan Finnie (fo0bar) wrote : Re: [Bug 1930755] Re: Feature request: Oracle Cloud arm64

On 6/3/21 1:08 PM, Joshua Powers wrote:
> Canonical announced and released images last week [1]. If I select the
> VM.Standard.A1.Flex shape, I then have an option for "Canonical Ubuntu"
> and "20.04" under Platform images. Note that minimal images are not yet
> present for arm64.
>
> Let us know if you are unable to select those options. Moving this to
> incomplete for now.
>
> [1] https://ubuntu.com/blog/ubuntu-supports-oracle-cloud-infrastructure-
> ampere-a1-compute

Ah yes, if I select "Canonical Ubuntu", it pre-selects "20.04 minimal"
and then errors out with "This image has no compatible image builds for
the current shape." Every distro except Oracle Linux defaults to an
incompatible image, not the best UI on OCI's part. Thanks for the info!

Revision history for this message
Joshua Powers (powersj) wrote :

100% agree, we are asking oracle to update the default selection so this doesn't happen.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments